# Class $ViewScrollProvider

- Defined in router/view-scroll.js:1

#####
Index

### Constructors

constructor

### Properties

$get
useAnchorScroll

##
Constructors

### constructor

- new $ViewScrollProvider(): $ViewScrollProvider

- #### Returns $ViewScrollProvider

  - Defined in router/view-scroll.js:1

##
Properties

### $get

$get: (string | (($anchorScroll: AnchorScrollObject, $timeout: any) => Function | AnchorScrollObject))[]

- Defined in router/view-scroll.js:6

### useAnchorScroll

useAnchorScroll: (() => void)

- Defined in router/view-scroll.js:3